View Issue Details

IDProjectCategoryView StatusLast Update
0021473LazarusIDEpublic2012-03-21 20:07
ReporterfpbtAssigned ToMartin Friebe 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0021473: Expanding and collapsing code (2)
DescriptionExpanding and collapsing code not correctly on some combinations.
Bug with cut, paste and then UNDO.

Tested on Lazarus-0.9.31-35756-fpc-2.6.1-20120306-win32.exe
TagsNo tags attached.
Fixed in Revision35912
LazTarget0.99.0
Widgetset
Attached Files

Activities

2012-03-12 19:24

 

Test_8_pic.gif (177,016 bytes)
Test_8_pic.gif (177,016 bytes)

Martin Friebe

2012-03-12 19:50

manager   ~0057519

Confirmed.
And thanks for finding a way to reproduce. (That is the hardest part)

Zeljan Rikalo

2012-03-12 20:26

developer   ~0057523

@Martin, I guess that this one is already on the rails , so won't add target ?

Martin Friebe

2012-03-13 02:19

manager   ~0057542

Please test and close if ok

fpbt

2012-03-21 20:06

reporter   ~0057883

Last edited: 2012-03-21 20:07

Tested on Lazarus-0.9.31-36062-fpc-2.6.1-20120316-win32.exe
everything works

Issue History

Date Modified Username Field Change
2012-03-12 19:24 fpbt New Issue
2012-03-12 19:24 fpbt File Added: Test_8_pic.gif
2012-03-12 19:24 fpbt Widgetset => Win32/Win64
2012-03-12 19:49 Martin Friebe Status new => assigned
2012-03-12 19:49 Martin Friebe Assigned To => Martin Friebe
2012-03-12 19:50 Martin Friebe Note Added: 0057519
2012-03-12 20:26 Zeljan Rikalo LazTarget => -
2012-03-12 20:26 Zeljan Rikalo Note Added: 0057523
2012-03-12 20:26 Zeljan Rikalo Status assigned => feedback
2012-03-12 20:36 Martin Friebe LazTarget - => 0.99.0
2012-03-12 20:36 Martin Friebe Status feedback => assigned
2012-03-12 20:36 Martin Friebe Target Version => 0.99.0
2012-03-13 02:19 Martin Friebe Fixed in Revision => 35912
2012-03-13 02:19 Martin Friebe Widgetset Win32/Win64 =>
2012-03-13 02:19 Martin Friebe Status assigned => resolved
2012-03-13 02:19 Martin Friebe Fixed in Version => 0.9.31 (SVN)
2012-03-13 02:19 Martin Friebe Resolution open => fixed
2012-03-13 02:19 Martin Friebe Note Added: 0057542
2012-03-21 20:06 fpbt Note Added: 0057883
2012-03-21 20:07 fpbt Note Edited: 0057883
2012-03-21 20:07 fpbt Status resolved => closed